12 Replies Latest reply on Aug 10, 2019 3:33 AM by a.p.

    Update Manager Says Need 6.7 Update 2, but it is installed?

    lsmith254 Novice

      I am running 6.7 Update 2, 13981272 but when I scan my host w/Update Manager, it says that I need Update 2 and some other patches that I have already applied.

      Is this because I am running a Dell Custom Image? Thanks.

        • 1. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
          Amin Masoudifard Enthusiast

          Please Check your ESXi version by following command and build number and compare it with this link:

          esxcli software version get

           

          Please mark my comment as the Correct Answer if this solution resolved your problem
          • 2. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
            lsmith254 Novice

            It shows 6.7 Update 2.

            I have even tried reinstalling vCenter thinking it may be corruption.

            Odd.

            • 3. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
              a.p. Guru
              User ModeratorsCommunity WarriorsvExpert

              it says that I need Update 2 and some other patches

              I've seen similar thing in the past, where custom images either didn't contain all vibs, or were just missing some bulletins.

              Please provide a detailed list of what exactly Update Manager reports as missing.


              André

              • 4. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                lsmith254 Novice

                It reports it is missing ESXi670-Update02, ESXi670-201904225-UG, ESXi670-201905001, ESXi670-201906002, and ESXi670-201904001.

                 

                So what is interesting is that I am running the custom Dell image 6.7 Update 2 and that is what it shows when I log in with the CLI and look at the version. However, vCenter shows VMware ESXi, 6.7.0, 13981272 looks like the most current version. If it is running ESXi 6.7 EP 10, why would it say I need ESXi 6.7 U2?

                 

                ESXi 6.7 EP 10ESXi670-20190600206/20/201913981272N/A
                ESXi 6.7 EP 09ESXi670-20190500105/14/201913644319N/A
                ESXi 6.7 EP 08ESXi670-20190400104/30/201913473784N/A
                ESXi 6.7 U2ESXi 6.7 U204/11/201913006603N/A
                • 5. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                  Amin Masoudifard Enthusiast

                  I Think it's better to check and compare installed VIB lists of specified ESXi (your Dell Customized) with another host in same version.

                  esxcli software vib list

                  Is there any difference? or missing VIB?

                  Please mark my comment as the Correct Answer if this solution resolved your problem
                  • 6. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                    a.p. Guru
                    User ModeratorsCommunity WarriorsvExpert

                    From what I saw so far, these are no missing vibs, but just indicators regarding installed patches, which are not included in the custom image (I saw the same with HPE images). You may run an update and apply these indicators, or do it with the next update. From a technical point of view, this shouldn't change anything.

                     

                    André

                    • 7. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                      lsmith254 Novice

                      I do not have another host to compare to. What is the potential harm if I go ahead and try to install these?

                      • 8. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                        Amin Masoudifard Enthusiast

                        Try to install your Source inside a Virtual Machine, is there same error if you add it to your datacenter?! (let VUM Check it first)

                        Goal of ESXi customization is only separation of related VIBs to each of physical server platform (HP, Dell, IBM, Cisco, ...) and causing more compatibility inside each of Hosts.

                        Please mark my comment as the Correct Answer if this solution resolved your problem
                        • 9. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                          lsmith254 Novice

                          I just found another post - looks like may be the same issue.

                           

                          I called this into VMWare support and they went through the list of updates that were pending("missing") and compared them to my version.  They said none of those updates are needed and that it was an issue with 6.7u2 reporting that should be fixed in u3.  I am not sure how accurate all that is, but that is what they told me.

                          • 10. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                            lsmith254 Novice

                            I looked at the VIBs in the recent patch release, and I do have these installed. So this looks like a vCenter issue.

                             

                            • VMware_bootbank_esx-base_6.7.0-2.60.13981272
                            • VMware_bootbank_vsan_6.7.0-2.60.13805960
                            • VMware_bootbank_esx-update_6.7.0-2.60.13981272
                            • VMware_bootbank_vsanhealth_6.7.0-2.60.13805961

                             

                            Mine installed:

                             

                            esx-base                       6.7.0-2.60.13981272                   VMware   VMwareCertified   2019-07-16

                            esx-dvfilter-generic-fastpath  6.7.0-0.0.8169922                     VMware   VMwareCertified   2019-05-18

                            esx-ui                         1.33.3-13454473                       VMware   VMwareCertified   2019-05-24

                            esx-update                     6.7.0-2.60.13981272                   VMware   VMwareCertified   2019-07-16

                            esx-xserver                    6.7.0-0.0.8169922                     VMware   VMwareCertified   2019-05-18

                            lsu-hp-hpsa-plugin             2.0.0-16vmw.670.1.28.10302608         VMware   VMwareCertified   2019-05-18

                            lsu-intel-vmd-plugin           1.0.0-2vmw.670.1.28.10302608          VMware   VMwareCertified   2019-05-18

                            lsu-lsi-drivers-plugin         1.0.0-1vmw.670.2.48.13006603          VMware   VMwareCertified   2019-05-18

                            lsu-lsi-lsi-mr3-plugin         1.0.0-13vmw.670.1.28.10302608         VMware   VMwareCertified   2019-05-18

                            lsu-lsi-lsi-msgpt3-plugin      1.0.0-9vmw.670.2.48.13006603          VMware   VMwareCertified   2019-05-18

                            lsu-lsi-megaraid-sas-plugin    1.0.0-9vmw.670.0.0.8169922            VMware   VMwareCertified   2019-05-18

                            lsu-lsi-mpt2sas-plugin         2.0.0-7vmw.670.0.0.8169922            VMware   VMwareCertified   2019-05-18

                            lsu-smartpqi-plugin            1.0.0-3vmw.670.1.28.10302608          VMware   VMwareCertified   2019-05-18

                            native-misc-drivers            6.7.0-2.48.13006603                   VMware   VMwareCertified   2019-05-18

                            rste                           2.0.2.0088-7vmw.670.0.0.8169922       VMware   VMwareCertified   2019-05-18

                            vmware-esx-esxcli-nvme-plugin  1.2.0.36-2.48.13006603                VMware   VMwareCertified   2019-05-18

                            vsan                           6.7.0-2.60.13805960                   VMware   VMwareCertified   2019-07-16

                            vsanhealth                     6.7.0-2.60.13805961                   VMware   VMwareCertified   2019-07-16

                            tools-light                    10.3.5.10430147-12986307              VMware   VMwareCertified   2019-05-18

                            • 11. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                              Amin Masoudifard Enthusiast

                              So it means if you setup vCenter 6.7 U1 or any older versions there is no problem?!

                              But if you have only one host, stop VUM service inside VCSA management or remove its scheduled checking interval. So I think there will be no more warning from Update Manager.

                              Please mark my comment as the Correct Answer if this solution resolved your problem
                              • 12. Re: Update Manager Says Need 6.7 Update 2, but it is installed?
                                a.p. Guru
                                User ModeratorsCommunity WarriorsvExpert

                                The response from VMware support basically confirms that it is more of a cosmetic issue, so don't worry about it.

                                 

                                André